ingress:
  public:
    className: "nginx-internal"
    enabled: true
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-prod
    hosts:
      - host: login-kratos-vymi.golem.oictinternal.cz
        paths:
          - path: /
            pathType: Prefix
    tls:
      - secretName: login-kratos-vymi.golem.oictinternal.cz-tls
        hosts:
          - login-kratos-vymi.golem.oictinternal.cz

secret:
  enabled: false

deployment:
  extraEnv:
    - name: SELFSERVICE_METHODS_OIDC_CONFIG_PROVIDERS
      valueFrom:
        secretKeyRef:
          name: vymi-ory-kratos
          key: oidcConfigProviders

kratos:
  config:
    version: v1.3.0
    dsn: memory
    serve:
      public:
        # We access Kratos through Oathkeeper
        base_url: https://api-vymi.golemio.cz
      admin:
        base_url: http://localhost:4434
    selfservice:
      default_browser_return_url: https://vymi.golemio.cz
      allowed_return_urls:
        - https://vymi.golemio.cz/auth/callback
      methods:
        # TODO remove the password method once it is decided the app is accessible via MS AD only
        password:
          enabled: true
          config:
            haveibeenpwned_enabled: false
            min_password_length: 14
            identifier_similarity_check_enabled: true
        # NOTE oidc provider config is set via the SELFSERVICE_METHODS_OIDC_CONFIG_PROVIDERS env var
        oidc:
          enabled: true
      flows:
        error:
          ui_url: https://vymi.golemio.cz/auth/error
        registration:
          enabled: true
          after:
            oidc:
              hooks:
                # Prevent having to log in after sign-up
                - hook: session
        recovery:
          enabled: false
        verification:
          enabled: false
        logout:
          after:
            default_browser_return_url: https://vymi.golemio.cz/auth/sign-in
        login:
          ui_url: https://vymi.golemio.cz/auth/sign-in
          lifespan: 10m
          after:
            default_browser_return_url: https://vymi.golemio.cz/auth/callback
    log:
      level: warning
      format: json
      leak_sensitive_values: false
    session:
      lifespan: "24h"
      # setting this to lifespan allows users to extend their session continuously
      earliest_possible_extend: "24h"
    hashers:
      algorithm: bcrypt
      bcrypt:
        cost: 8
    identity:
      default_schema_id: common
      schemas:
        - id: "common"
          url: file:///etc/config/identity-common.schema.json
    courier:
      smtp:
        connection_uri: smtps://test:test@mailslurper:1025/?skip_ssl_verify=true
  
  automigration:
    enabled: true
  
  identitySchemas:
    "identity-common.schema.json": |
      {
      "$id": "https://schemas.ory.sh/presets/kratos/quickstart/email-password/identity.schema.json",
      "$schema": "http://json-schema.org/draft-07/schema#",
      "title": "Person",
      "type": "object",
      "properties": {
        "traits": {
          "type": "object",
          "properties": {
            "email": {
              "type": "string",
              "format": "email",
              "title": "E-Mail",
              "minLength": 3,
              "ory.sh/kratos": {
                "credentials": {
                  "password": {
                    "identifier": true
                  }
                },
                "verification": {
                  "via": "email"
                }
              }
            },
            "username": {
              "type": "string",
              "title": "Username",
              "minLength": 3
            }
          },
          "required": [
            "email",
            "username"
          ],
          "additionalProperties": false
        }
      }
      }
